Create a new exposure

Permissions required: Manage Collateral Exposures and Read vault activity

Creates a new exposure in the Collateral Management service.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The details for creating a new collateral exposure

The request payload for creating a new collateral exposure.

assetTrackingConfig
object
required

CM Exposure Asset tracking config

string

A reference identifier provided by the client for this collateral exposure. For example: client’s internal loan ID

string
required

ID of the collateral package (packageId)

string
enum
required

The pricing strategy used to price a collateral asset from its price source.

Allowed:
string
enum
required

Type of exposure

Allowed:
Headers
string
required
^[0-9A-Fa-f]{128,160}$

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

toHex(
  ed25519Sign(
    signing_key,
    '{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
  )
)
int64
required

Current timestamp, represented as unix epoch seconds

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json